MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032064Open CASCADE[OCCT] OCCT:Codingpublic2021-01-19 00:112021-01-23 14:14
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032064: Coding Rules - make RWGltf_GltfJsonParser non-private
DescriptionCurrently class RWGltf_GltfJsonParser is defined in private header file (.pxx).
While this API is mostly internal, it might be desirable in some context to reuse this class without RWGltf_CafReader - e.g. to read glTF into non-XCAF document.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0030691closedbugmaster Data Exchange - implement import of mesh data from files in glTF format 

-  Notes
(0098201)
kgv (developer)
2021-01-19 13:22

Please raise the patch
- OCCT branch: CR32064.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32064-master-KGV/view/OCCT%20compile/ [^]
(0098370)
bugmaster (administrator)
2021-01-23 12:49

Combination -
OCCT branch : IR-2021-01-22
master SHA - 8948e18df815e356c59a750bd2711cb4a7914cec
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2021-01-22 SHA - 7cb485e51cb439852e1e1e0726af89f51d6d6db0
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17720.020000000055 / 17721.200000000135 [-0.01%]
Products
Total CPU difference: 12428.380000000123 / 12412.630000000105 [+0.13%]
Windows-64-VC14:
OCCT
Total CPU difference: 19367.234375 / 19300.265625 [+0.35%]
Products
Total CPU difference: 13821.875 / 13740.03125 [+0.60%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

- Related Changesets
occt: master 5be130de
Timestamp: 2021-01-18 21:13:54
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032064: Coding Rules - make RWGltf_GltfJsonParser non-private
mod - src/RWGltf/FILES Diff ] File ]
mod - src/RWGltf/RWGltf_CafReader.cxx Diff ] File ]
mod - src/RWGltf/RWGltf_GltfJsonParser.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-01-19 00:11 kgv New Issue
2021-01-19 00:11 kgv Assigned To => kgv
2021-01-19 13:22 kgv Note Added: 0098201
2021-01-19 13:22 kgv Assigned To kgv => bugmaster
2021-01-19 13:22 kgv Status new => resolved
2021-01-19 13:23 kgv Status resolved => reviewed
2021-01-19 13:23 kgv Relationship added child of 0030691
2021-01-23 12:49 bugmaster Note Added: 0098370
2021-01-23 12:49 bugmaster Status reviewed => tested
2021-01-23 13:01 bugmaster Test case number => Not required
2021-01-23 14:14 bugmaster Changeset attached => occt master 5be130de
2021-01-23 14:14 bugmaster Status tested => verified
2021-01-23 14:14 bugmaster Resolution open => fixed


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker